# IntlChar::chr

(PHP 7)

IntlChar::chr — Return Unicode character by code point value

### Description

public static IntlChar::chr ( mixed `$codepoint` ) : string

Returns a string containing the character specified by the Unicode code point value.

This function compliments IntlChar::ord().

### Parameters

`codepoint`

  The integer codepoint value (e.g. 0x2603 for U+2603 SNOWMAN), or the character encoded as a UTF-8 string (e.g. "\u{2603}")

### Return Values

A string containing the single character specified by the Unicode code point value.

### Examples

Example #1 Testing different code points

`<?php
$values = ["A", 63, 123, 9731];
foreach ($values as $value) {
var_dump(IntlChar::chr($value));
}
?>`

The above example will output:

    string(1) "A"
    string(1) "?"
    string(1) "{"
    string(3) "☃"

### See Also

- IntlChar::ord() - Return Unicode code point value of character
- chr() - Generate a single-byte string from a number